0.9.15 + GreaseFire fails? #1507

arantius opened this Issue Jan 31, 2012 · 1 comment

1 participant


From: https://addons.mozilla.org/en-US/firefox/addon/greasemonkey/reviews/332980/

I recently updated to the latest version, and now I've found that I can't download Greasefire scripts. Either GM or GS is malfunctioning.



Confirmed. Directly references Greasemonkey chrome content which no longer exists:

Error: win.GM_BrowserUI.startInstallScript is not a function
Source File: chrome://greasefire/content/picker.js
Line: 82

Should be a relatively easy fix. (Though it should probably be on GreaseFire's side, our workaround is easy enough that I'll probably just do it.)

@arantius arantius added a commit that closed this issue Feb 6, 2012
@arantius arantius Workaround for GreaseFire compatibility.
Restore "GM_BrowserUI.startInstallScript()" which it was calling directly.  Also clean up installUri util.

Fixes #1507
@arantius arantius closed this in 3527b55 Feb 6, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment